Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui
Class EditorsTabbedPane

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ru.biosoft.gui.ViewPartSupport
                          ru.biosoft.gui.EditorPartSupport
                              ru.biosoft.gui.EditorsTabbedPane

All Implemented Interfaces:
  javax.accessibility.Accessible, EditorPart, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, com.beanexplorer.undo.Transactable, com.beanexplorer.undo.TransactionListener, ViewPart

Direct Known Subclasses:
  ExplorerPane, PluggedEditorsTabbedPane

public class EditorsTabbedPane
extends EditorPartSupport

Utility class to group several editor into one tabbed pane with common toolbar.

See Also:
  Serialized Form
Pendung:
  optimisaton: reuse actions in update tab if they the same

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `ACTION_NAME`
`protected EditorsManager` | `editorsManager`
`protected java.lang.Object` | `model` Data (model) that is currently edited or explored.
`protected ActionsProvider` | `modelActionProvider`
`protected javax.swing.Action[]` | `modelActions`
`protected int` | `modelActionsIndex`
`protected javax.swing.Action[]` | `tabActions`
`protected int` | `tabActionsIndex`
`protected javax.swing.JTabbedPane` | `tabPane`
`protected java.util.Vector` | `tabs`
`protected javax.swing.JToolBar` | `toolbar`
`static int` | `TOOLBAR_BUTTON_SIZE`

Fields inherited from class ru.biosoft.gui.EditorPartSupport
`listenerList`

Fields inherited from class ru.biosoft.gui.ViewPartSupport
`action, document, modelValidator`

Fields inherited from class javax.swing.JComponent
`accessibleContext, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface ru.biosoft.gui.ViewPart
`DEFAULT_PRIORITY, PRIORITY, STATIC_VIEW`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EditorsTabbedPane()`

Method Summary
`protected void` | `addActions(javax.swing.Action[] actions, int index)`
`protected void` | `addTab(ViewPart tab)`
`void` | `addTransactionListener(com.beanexplorer.undo.TransactionListener tl)`
`void` | `addViewPart(ViewPart view)`
`protected void` | `configureButton(javax.swing.AbstractButton button)`
`void` | `explore(java.lang.Object model, Document document)` Notifies the view part that it should explore new data.
`javax.swing.Action[]` | `getActions()` Returns actions that are specific for this view part.
`ViewPart` | `getEditorsManager()`
`java.lang.Object` | `getModel()`
`ActionsProvider` | `getModelActionProvider()`
`protected void` | `insertTab(int index, ViewPart tab)`
`protected void` | `removeActions(javax.swing.Action[] actions, int index)`
`protected void` | `removeTab(ViewPart tab)`
`void` | `removeTransactionListener(com.beanexplorer.undo.TransactionListener tl)`
`void` | `save()` Save changes into model.
`void` | `selectTab(int i)`
`void` | `setModelActionProvider(ActionsProvider provider)`
`protected void` | `updateTab()`

Methods inherited from class ru.biosoft.gui.EditorPartSupport
`fireAddEdit, fireCompleteTransaction, fireStartTransaction`

Methods inherited from class ru.biosoft.gui.ViewPartSupport
`addEdit, canExplore, completeTransaction, getAction, getDocument, getModelValidator, getView, setModelValidator, startTransaction`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.gui.ViewPart
`canExplore, getAction, getDocument, getView`

Methods inherited from interface com.beanexplorer.undo.TransactionListener
`addEdit, completeTransaction, startTransaction`

Field Detail

### ACTION_NAME

    public static final java.lang.String ACTION_NAME

See Also:
  Constant Field Values

### TOOLBAR_BUTTON_SIZE

    public static int TOOLBAR_BUTTON_SIZE

### toolbar

    protected javax.swing.JToolBar toolbar

### tabPane

    protected javax.swing.JTabbedPane tabPane

### editorsManager

    protected EditorsManager editorsManager

### model

    protected java.lang.Object model

  Data (model) that is currently edited or explored.

### tabs

    protected java.util.Vector tabs

### tabActions

    protected javax.swing.Action[] tabActions

### tabActionsIndex

    protected int tabActionsIndex

### modelActions

    protected javax.swing.Action[] modelActions

### modelActionsIndex

    protected int modelActionsIndex

### modelActionProvider

    protected ActionsProvider modelActionProvider

Constructor Detail

### EditorsTabbedPane

    public EditorsTabbedPane()

Method Detail

### getEditorsManager

    public ViewPart getEditorsManager()

### addViewPart

    public void addViewPart(ViewPart view)

### getActions

    public javax.swing.Action[] getActions()

  Description copied from interface: `ViewPart`
  Returns actions that are specific for this view part.

  Specified by:
    `getActions` in interface `ViewPart`
  Overrides:
    `getActions` in class `ViewPartSupport`

### explore

    public void explore(java.lang.Object model,
                        Document document)

  Description copied from interface: `ViewPart`
  Notifies the view part that it should explore new data.

  Specified by:
    `explore` in interface `ViewPart`
  Overrides:
    `explore` in class `ViewPartSupport`

### getModel

    public java.lang.Object getModel()

  Specified by:
    `getModel` in interface `ViewPart`
  Overrides:
    `getModel` in class `ViewPartSupport`

### save

    public void save()

  Description copied from interface: `EditorPart`
  Save changes into model.

  Specified by:
    `save` in interface `EditorPart`
  Overrides:
    `save` in class `EditorPartSupport`

### addTransactionListener

    public void addTransactionListener(com.beanexplorer.undo.TransactionListener tl)

  Specified by:
    `addTransactionListener` in interface `com.beanexplorer.undo.Transactable`
  Overrides:
    `addTransactionListener` in class `EditorPartSupport`

### removeTransactionListener

    public void removeTransactionListener(com.beanexplorer.undo.TransactionListener tl)

  Specified by:
    `removeTransactionListener` in interface `com.beanexplorer.undo.Transactable`
  Overrides:
    `removeTransactionListener` in class `EditorPartSupport`

### addTab

    protected void addTab(ViewPart tab)

### insertTab

    protected void insertTab(int index,
                             ViewPart tab)

  Pendung:
    use icon and tip if them are available

### removeTab

    protected void removeTab(ViewPart tab)

### selectTab

    public void selectTab(int i)

### updateTab

    protected void updateTab()

### configureButton

    protected void configureButton(javax.swing.AbstractButton button)

### addActions

    protected void addActions(javax.swing.Action[] actions,
                              int index)

### removeActions

    protected void removeActions(javax.swing.Action[] actions,
                                 int index)

### getModelActionProvider

    public ActionsProvider getModelActionProvider()

### setModelActionProvider

    public void setModelActionProvider(ActionsProvider provider)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.